summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/lang-tcl
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2010-05-09 18:08:18 +0200
committerBruno Haible <bruno@clisp.org>2010-05-09 20:54:21 +0200
commita67b09f8ac2abb469fef7773a7616336004154b3 (patch)
tree449e3563dfdf7f5c171708b6a236afa8608c7186 /gettext-tools/tests/lang-tcl
parent1eaae9eade5b653616234b32c9a0ba7ba2a18a9f (diff)
downloadexternal_gettext-a67b09f8ac2abb469fef7773a7616336004154b3.zip
external_gettext-a67b09f8ac2abb469fef7773a7616336004154b3.tar.gz
external_gettext-a67b09f8ac2abb469fef7773a7616336004154b3.tar.bz2
Avoid test suite failures on Cygwin 1.7.
Diffstat (limited to 'gettext-tools/tests/lang-tcl')
-rwxr-xr-xgettext-tools/tests/lang-tcl6
1 files changed, 4 insertions, 2 deletions
diff --git a/gettext-tools/tests/lang-tcl b/gettext-tools/tests/lang-tcl
index c2b7981..c343cd6 100755
--- a/gettext-tools/tests/lang-tcl
+++ b/gettext-tools/tests/lang-tcl
@@ -100,11 +100,13 @@ EOF
: ${LOCALE_FR=fr_FR}
: ${LOCALE_FR_UTF8=fr_FR.UTF-8}
if test $LOCALE_FR != none; then
- LANGUAGE= LANG=$LOCALE_FR LC_MESSAGES= LC_CTYPE= LC_ALL= tclsh program.tcl > prog.out || exit 1
+ LANGUAGE= LANG=$LOCALE_FR LC_MESSAGES= LC_CTYPE= LC_ALL= tclsh program.tcl > prog.tmp || exit 1
+ LC_ALL=C tr -d '\r' < prog.tmp > prog.out || exit 1
${DIFF} prog.ok prog.out || exit 1
fi
if test $LOCALE_FR_UTF8 != none; then
- LANGUAGE= LANG=$LOCALE_FR_UTF8 LC_MESSAGES= LC_CTYPE= LC_ALL= tclsh program.tcl > prog.out || exit 1
+ LANGUAGE= LANG=$LOCALE_FR_UTF8 LC_MESSAGES= LC_CTYPE= LC_ALL= tclsh program.tcl > prog.tmp || exit 1
+ LC_ALL=C tr -d '\r' < prog.tmp > prog.out || exit 1
${DIFF} prog.oku prog.out || exit 1
fi
if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then